#include <cstdlib>
#include <iostream>
#include <stdio.h>
#define MAXN 300000

using namespace std;

char s[MAXN+1];
int n,m,it=0,it2=0,a=0,luft=0,grupe=0,temp=0;
int main(int argc, char *argv[])
{
            freopen("muzej.in","r",stdin);
            freopen("muzej.out","w",stdout); 
            scanf("%d %d",&n,&m);
            scanf("%s",s);
            for(int i=0;i<=n-1;i++)
            {
                 if(s[i]=='a') luft++;
                 else luft--;
            }
            while(it2<m-1)
            {
                       it=it2;
                       while(it<=n-1 && s[it]!='b') it++;
                       if(it==n) break;
                       if(it2==0) it2=-1;
                       a=it-it2-1; temp=0;
                       it2=it;
                       if(a==1)
                       {
                             s[it2]='x'; grupe++;
                       }
                       else if(a==0)
                       {
                            temp--;
                            while(temp!=0)
                            {
                                          it2++;
                                          if( s[it2]=='a' ) temp++; else temp--;
                            }
                            s[it2]='x'; grupe++;
                       }
                       else if(a-1<=luft)
                       {
                            grupe+=a;
                            luft-=a-1;
                            s[it2]='x';
                            if(it2>m-1) grupe-=it2-m;
                       }
                       else // a-1>luft
                       {
                           grupe+=luft;
                           luft=0;
                           temp=a-1-luft;
                           while(temp!=0)
                            {
                                          it2++;
                                          if( s[it2]=='a' ) temp++; else temp--;
                            }
                            s[it2]='x'; grupe++;
                       }
            }
            if(m-it2-1>0)grupe+=m-it2-1;
           // printf("%d %d %d %d",m,it2,grupe,it);
            printf("%d\n",grupe-1);
            //system("PAUSE");
            return 0;
}
